<?php

declare(strict_types=1);

namespace App\Models;

class Category extends BaseModel
{
    protected string $table = 'categories';
    protected string $primaryKey = 'id';

    public function findAllActive(): array
    {
        return $this->query("SELECT * FROM {$this->table} ORDER BY name ASC LIMIT 100");
    }
}
